View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0011398VTK(No Category)public2010-11-03 11:052014-10-06 11:38
ReporterArtenum 
Assigned ToSebastien Jourdain 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version6.2.0Fixed in Version 
Summary0011398: Changing linking dynamic libraries for Java wrapping on Mac OS X
DescriptionWith current version of VTK CMake files, it is not possible to run VTK in Java Web Start or OSGi applications (it throws an UnsatisfiedLinkError).

As explained in details here (http://dev.artenum.com/blog/ben/posts/osgi_vtk_and_macosx [^]), this is due to the way the linking with dynamic libraries is performed.

3 changes should be done to correct this issue:
1) Change the extension name of the dynamic libraries on OSX from .dylib to .jnilib
2) Use the @loader_path prefix in each library dependency
3) Remove the version number from both the library file name and its transitive dependencies. (version numbers might be used for symbolic links, but not for the library itself)
TagsNo tags attached.
ProjectTBD
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0033602)
Sebastien Jourdain (developer)
2014-10-06 11:38

This should be fixed with the new configuration properties VTK_JAVA_INSTALL and VTK_JAVA_CLEANUP_INSTALL.

Only one option should remain, but as today master, that's the way it is.

282c366b79189e462907238361c87d4bd3b29b94

- Issue History
Date Modified Username Field Change
2010-11-03 11:05 Artenum New Issue
2011-06-16 13:11 Zack Galbreath Category => (No Category)
2012-10-09 14:53 Sebastien Jourdain Project => TBD
2012-10-09 14:53 Sebastien Jourdain Type => incorrect functionality
2012-10-09 14:53 Sebastien Jourdain Assigned To => Dave DeMarle
2012-10-09 14:53 Sebastien Jourdain Status expired => backlog
2013-12-18 09:08 Dave DeMarle Status backlog => tabled
2013-12-18 09:08 Dave DeMarle Target Version => 6.2.0
2013-12-19 10:59 Dave DeMarle Status tabled => backlog
2014-09-30 10:53 Dave DeMarle Assigned To Dave DeMarle =>
2014-10-06 11:38 Sebastien Jourdain Note Added: 0033602
2014-10-06 11:38 Sebastien Jourdain Status backlog => closed
2014-10-06 11:38 Sebastien Jourdain Assigned To => Sebastien Jourdain
2014-10-06 11:38 Sebastien Jourdain Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker